package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.armors.ClothArmor;
import org.project.item.weapons.Weapon;
import org.project.item.weapons.Wood;

public class Wizard extends Player{

    public Wizard(String name, int hp, int mp, Weapon weapon, Armor armor) {
        super(name, 70, 60, new Wood(12 ,0), new ClothArmor(3,10));
    }

    public Wizard(String name) {
        super(name, 70, 60, new Wood(12 ,0), new ClothArmor(3,10));
    }

    @Override
    public void specialAbility(Entity target) {
        if(mp >= 20){
            mp -= 20;
            int damage = weapon.getDamage() + 12;
            target.takeDamage(damage);
            heal(10);
            System.out.println("\u001b[35m" + name + "Cast FIRESTORM!" + damage + "damage and heal 10 HP! (-20 mana) \u001B[0m");
        }else{
            System.out.println("\u001b[33m Not enough mana ! \u001B[0m");
            lightAttack(target);
        }
    }
}
